﻿;;;-*- Mode: Lisp; Package: "CU" -*-
;;;===============================================================================
;;;12/09/17
;;;                           AGENT POSTMAN :CU
;;;
;;; Postman to transfer messages from :CU to remote OMAS platforms
;;;===============================================================================

;;; the postman is only valid for ACL
;;; Note that sites protected by a firewall should specify the GLOBAL IP in the 
;;; send message, NOT the IP of the physical machine that sends the message.

#|
2010
 0529 rewritten for OMAS v8
2012
 0917 upgraded for version 9.1 no longer compatible with previous versions
|#

(defpackage :CU (:use :cl :moss :omas))
(in-package :CU)

;;;===============================================================================
;;;                              Creating postman
;;;===============================================================================

(omas::defpostman :CU 
    :server t
    :site :CU
    ;:external-ip "here external IP of Coventry"
    :known-postmen ((:CIT nil "219.166.183.59" :TCP :CIT)
                  (:UTC "nat-omas.ut.fr" "195.83.154.22" :TCP :UTC)
                  (:TECPAR nil "200.183.132.15" :TCP :TECPAR))
    )

;;;===============================================================================
;;;                                    SKILLS 
;;;===============================================================================

;;; use default skills

:EOF