﻿;;;-*- Mode: Lisp; Package: "UTC-MUL-2" -*-
;;;===============================================================================
;;;10/02/24
;;;                           AGENT UTC-MUL-2
;;;
;;;===============================================================================

#|
2009
 0606 prefixing agent names with UTC-
|#

(defpackage :UTC-MUL-2 (:use :omas :cl #+MCL :ccl))
(in-package :UTC-MUL-2) ; required to set package

;;;===============================================================================
;;;                                  Agent
;;;===============================================================================

(defagent :UTC-MUL-2 :redefine t)

;;;===============================================================================
;;;                                  Skills
;;;===============================================================================

(defskill :multiply :UTC-MUL-2
  :static-fcn static-multiply
  :how-long-fcn static-multiply-how-long)

(defun static-multiply (agent message n1 n2)
  (declare (ignore message))
  ;; slow down the process so that we can follow on the trace
  (sleep (1+ (random 3)))
  (static-exit agent (* n1 n2)))

(defun static-multiply-how-long (&rest ll)
  "UTC-MUL-2 computes between 1 and 4 seconds."
  (declare (ignore ll))
  (1+ (random 3)))
  
  :EOF